Crypto++ 8.2 Free C++ class library of cryptographic schemes

List of all members
MessageAuthenticationCodeImpl< BASE, INFO > Class Template Reference

Provides a base implementation of Algorithm and SimpleKeyingInterface for message authentication codes. More...

Inheritance diagram for MessageAuthenticationCodeImpl< BASE, INFO >:

## Additional Inherited Members
Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< BASE, INFO >, INFO >
std::string | AlgorithmName () const
| The algorithm name. More...
Public Member Functions inherited from SimpleKeyingInterfaceImpl< BASE, INFO >
size_t | MinKeyLength () const
| The minimum key length used by the algorithm. More...
size_t | MaxKeyLength () const
| The maximum key length used by the algorithm. More...
size_t | DefaultKeyLength () const
| The default key length used by the algorithm. More...
size_t | GetValidKeyLength (size_t keylength) const
| Provides a valid key length for the algorithm. More...
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
| The default IV requirements for the algorithm. More...
unsigned int | IVSize () const
| The initialization vector length for the algorithm. More...
Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< BASE, INFO >, INFO >
static std::string CRYPTOPP_API | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

### template<class BASE, class INFO = BASE>
class MessageAuthenticationCodeImpl< BASE, INFO >

Provides a base implementation of Algorithm and SimpleKeyingInterface for message authentication codes.

Template Parameters

  INFO | a SimpleKeyingInterface derived class
  BASE | a SimpleKeyingInterface derived class

MessageAuthenticationCodeImpl() provides a default implementation for message authentication codes using AlgorithmImpl() and SimpleKeyingInterfaceImpl(). Functions are virtual and not subject to C++11 `constexpr`.

See also
  Algorithm(), SimpleKeyingInterface(), AlgorithmImpl(), SimpleKeyingInterfaceImpl()

Definition at line 362 of file seckey.h.

The documentation for this class was generated from the following file:

- seckey.h